Subject: Re: [PATCH net v2] ipv4: fix wildcard search with inet_confirm_addr()

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 14 Nov 2013 11:32:53 +0100

Le 13/11/2013 22:27, Julian Anastasov a écrit :
>
> 	Hello,
>
> On Wed, 13 Nov 2013, Nicolas Dichtel wrote:
>
>> Help of this function says: "in_dev: only on this interface, 0=any interface",
>> but since commit 39a6d0630012 ("[NETNS]: Process inet_confirm_addr in the
>> correct namespace."), the code supposes that it will never be NULL. This
>> function is never called with in_dev == NULL, but it's exported and may be used
>> by an external module.
>>
>> Because this patch restore the ability to call inet_confirm_addr() with in_dev
>> == NULL, I partially revert the above commit, as suggested by Julian.
>>
>> CC: Julian Anastasov <[email-masked]>
>> Signed-off-by: Nicolas Dichtel <[email-masked]>
>
> 	This patch looks ok to me, thanks!
>
> Reviewed-by: Julian Anastasov <[email-masked]>
>
> 	Still, I think this is a net-next material
> and you have to wait some days... The net tree that
Ok.

> you are using is missing the changes that remove
> 'extern', so I think you have to port it to net-next
> tree to avoid the conflict in include/linux/inetdevice.h.
Yes, checkpatch already warns about this extern kerword.

Thank you,
Nicolas